# AP4_AtomInspector Class Reference

Class used in a visitor pattern to walk all the atoms in a tree of AP4_Atom objects. More...

`#include <Ap4Atom.h>`

Inheritance diagram for AP4_AtomInspector:

List of all members.

## Public Types
enum | FormatHint { HINT_NONE, HINT_HEX, HINT_BOOLEAN }
## Public Member Functions
| AP4_AtomInspector ()
virtual | ~AP4_AtomInspector ()
virtual void | StartElement (const char *, const char *)
virtual void | EndElement ()
virtual void | AddField (const char *, AP4_UI32, FormatHint hint=HINT_NONE)
virtual void | AddField (const char *, const char *, FormatHint hint=HINT_NONE)
virtual void | AddField (const char *, const unsigned char *, AP4_Size, FormatHint hint=HINT_NONE)

## Detailed Description

Class used in a visitor pattern to walk all the atoms in a tree of AP4_Atom objects.

Definition at line 75 of file Ap4Atom.h.

## Member Enumeration Documentation

enum AP4_AtomInspector::FormatHint

Enumerator:

  HINT_NONE |
  HINT_HEX |
  HINT_BOOLEAN |

Definition at line 78 of file Ap4Atom.h.

## Constructor & Destructor Documentation

AP4_AtomInspector::AP4_AtomInspector | ( |  | ) | `[inline]`

Definition at line 85 of file Ap4Atom.h.

virtual AP4_AtomInspector::~AP4_AtomInspector | ( |  | ) | `[inline, virtual]`

Definition at line 86 of file Ap4Atom.h.

## Member Function Documentation

virtual void AP4_AtomInspector::StartElement | ( | const char * | ,
|  | const char * |  |
| ) |  |  | `[inline, virtual]`

Reimplemented in AP4_PrintInspector.

Definition at line 89 of file Ap4Atom.h.

virtual void AP4_AtomInspector::EndElement | ( |  | ) | `[inline, virtual]`

Reimplemented in AP4_PrintInspector.

Definition at line 91 of file Ap4Atom.h.

virtual void AP4_AtomInspector::AddField | ( | const char * | ,
|  | AP4_UI32 | ,
|  | FormatHint | hint = `HINT_NONE` |
| ) |  |  | `[inline, virtual]`

Reimplemented in AP4_PrintInspector.

Definition at line 92 of file Ap4Atom.h.

virtual void AP4_AtomInspector::AddField | ( | const char * | ,
|  | const char * | ,
|  | FormatHint | hint = `HINT_NONE` |
| ) |  |  | `[inline, virtual]`

Reimplemented in AP4_PrintInspector.

Definition at line 97 of file Ap4Atom.h.

virtual void AP4_AtomInspector::AddField | ( | const char * | ,
|  | const unsigned char * | ,
|  | AP4_Size | ,
|  | FormatHint | hint = `HINT_NONE` |
| ) |  |  | `[inline, virtual]`

Reimplemented in AP4_PrintInspector.

Definition at line 102 of file Ap4Atom.h.

The documentation for this class was generated from the following file:

- Ap4Atom.h